v1ProductLists
Query product lists with search and pagination
v1ProductListsquery
Arguments
searchStringFull-text search over product list title and slug
localeString!requiredLocale for translated product list fields (e.g. en, sv). Required
pageIntPage number (1-based, default 1)
perPageIntPage size (default 25, max 50)
Returns
Product lists with pagination information
Query Reference
query V1ProductLists($search: String, $locale: String!, $page: Int, $perPage: Int) { v1ProductLists(search: $search, locale: $locale, page: $page, perPage: $perPage) { productLists { id static slug title description metaTitle metaDescription createdAt updatedAt } pageInfo { totalPages currentPage hasNextPage hasPreviousPage } }}{
"search": "string",
"locale": "string",
"page": 0,
"perPage": 0
}type ProductListsConnection {
productLists: [ProductList!]!
pageInfo: PageInfo!
}
type ProductList {
id: String!
static: Boolean!
slug: String!
title: String!
description: String!
metaTitle: String!
metaDescription: String!
createdAt: DateTime!
updatedAt: DateTime
}
type PageInfo {
totalPages: Int!
currentPage: Int!
hasNextPage: Boolean!
hasPreviousPage: Boolean!
}Try it
Server
Bodyapplication/json
Request
curl -X POST 'https://graphql.enad.io/{app_id}/graphql' \
-H 'Content-Type: application/json' \
-d '{
"query": "query V1ProductLists($search: String, $locale: String!, $page: Int, $perPage: Int) {\n v1ProductLists(search: $search, locale: $locale, page: $page, perPage: $perPage) {\n productLists {\n id\n static\n slug\n title\n description\n metaTitle\n metaDescription\n createdAt\n updatedAt\n }\n pageInfo {\n totalPages\n currentPage\n hasNextPage\n hasPreviousPage\n }\n }\n}",
"variables": {
"search": "string",
"locale": "string",
"page": 0,
"perPage": 0
}
}'const response = await fetch("https://graphql.enad.io/{app_id}/graphql", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: "{\n \"query\": \"query V1ProductLists($search: String, $locale: String!, $page: Int, $perPage: Int) {\\n v1ProductLists(search: $search, locale: $locale, page: $page, perPage: $perPage) {\\n productLists {\\n id\\n static\\n slug\\n title\\n description\\n metaTitle\\n metaDescription\\n createdAt\\n updatedAt\\n }\\n pageInfo {\\n totalPages\\n currentPage\\n hasNextPage\\n hasPreviousPage\\n }\\n }\\n}\",\n \"variables\": {\n \"search\": \"string\",\n \"locale\": \"string\",\n \"page\": 0,\n \"perPage\": 0\n }\n}"
});import requests
response = requests.post(
"https://graphql.enad.io/{app_id}/graphql",
headers={
"Content-Type": "application/json"
},
data="{\n \"query\": \"query V1ProductLists($search: String, $locale: String!, $page: Int, $perPage: Int) {\\n v1ProductLists(search: $search, locale: $locale, page: $page, perPage: $perPage) {\\n productLists {\\n id\\n static\\n slug\\n title\\n description\\n metaTitle\\n metaDescription\\n createdAt\\n updatedAt\\n }\\n pageInfo {\\n totalPages\\n currentPage\\n hasNextPage\\n hasPreviousPage\\n }\\n }\\n}\",\n \"variables\": {\n \"search\": \"string\",\n \"locale\": \"string\",\n \"page\": 0,\n \"perPage\": 0\n }\n}",
)Response
{
"data": {
"v1ProductLists": {
"productLists": [
{
"id": "string",
"static": true,
"slug": "string",
"title": "string",
"description": "string",
"metaTitle": "string",
"metaDescription": "string",
"createdAt": "string",
"updatedAt": null
}
],
"pageInfo": {
"totalPages": 0,
"currentPage": 0,
"hasNextPage": true,
"hasPreviousPage": true
}
}
}
}